# BrightContrastModifier(SequenceModifier)

base classes — `bpy_struct`, `SequenceModifier`

class `bpy.types.``BrightContrastModifier`(SequenceModifier)

  Bright/contrast modifier data for sequence strip

  `bright`

    Type: | float in [-inf, inf], default 0.0

  `contrast`

    Type: | float in [-inf, inf], default 0.0

Inherited Properties

`bpy_struct.id_data` `SequenceModifier.name` `SequenceModifier.type` `SequenceModifier.mute` | `SequenceModifier.show_expanded` `SequenceModifier.input_mask_type` `SequenceModifier.input_mask_strip` `SequenceModifier.input_mask_id`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`